From f67c79d669a9861f6f355717bcdabc918e1de03b Mon Sep 17 00:00:00 2001
From: Jan Vermaete <jver@oip.be>
Date: Wed, 25 Apr 2018 12:03:01 +0200
Subject: [PATCH 1/1] Do not add the short git hash to the kernel name when
 SCMVERSION is not set.

---
 classes/fsl-kernel-localversion.bbclass | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/classes/fsl-kernel-localversion.bbclass b/classes/fsl-kernel-localversion.bbclass
index c0306a0..ff1075e 100644
--- a/classes/fsl-kernel-localversion.bbclass
+++ b/classes/fsl-kernel-localversion.bbclass
@@ -28,7 +28,9 @@ do_preconfigure() {
 	CONF_SED_SCRIPT=""
 
 	kernel_conf_variable LOCALVERSION "\"${LOCALVERSION}\""
-	kernel_conf_variable LOCALVERSION_AUTO y
+	if [ "${SCMVERSION}" = "y" ]; then
+		kernel_conf_variable LOCALVERSION_AUTO y
+	fi
 
 	sed -e "${CONF_SED_SCRIPT}" < '${WORKDIR}/defconfig' >> '${B}/.config'
 
-- 
2.7.4

